R2AGENT(1)

NAME
r2agent - Radare2 Agent HTTP Server

SYNOPSIS
r2agent [-adhsu] [-p port] [-t file]

DESCRIPTION
An HTTP server providing remote access to Radare2 instances via a RESTful API. It enables remote debugging and analysis of binaries using Radare2.

-a  Listen for everyone (localhost by default)

-d  Run in daemon mode (background)

-h  Show help message

-s  Run in sandbox mode

-u  Enable HTTP authorization access

-t file
    User:password authentication file

-p port
    Specify listening port (defaults to 8080)

ENVIRONMENT

r2agent does not use any environment variables.

EXAMPLES

Start r2agent on default port (8080):

$ r2agent

Start r2agent on port 9090:

$ r2agent -p 9090

Run r2agent in daemon mode:

$ r2agent -d

Allow connections from any IP address:

$ r2agent -a

Run with authentication enabled:

$ r2agent -u -t auth.txt

SEE ALSO

radare2(1)

AUTHORS

Written by pancake <pancake@nopcode.org>.